classification
Title: Win32 pip doesn't use relative path to found site-packages.
Type: Stage:
Components: Windows Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, dstufft, lygstate, ncoghlan, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2014-05-24 02:30 by lygstate, last changed 2015-02-13 16:12 by steve.dower. This issue is now closed.

Messages (6)
msg219018 - (view) Author: 勇刚 罗 (lygstate) * Date: 2014-05-24 02:30
I want to directly copy python as a portable version.
But the pip always point to the place where it installed,
So I am asking pip use relative to found site-packages under win32.
msg235829 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-12 14:34
I'm not certain exactly what is being asked for here so could the originator please clarify their needs?  I also don't really know who "owns" this hence the changes to the nosy list.
msg235832 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-12 14:55
Do you mean pip.exe? Does running 'python.exe -m pip install ...' work for you?
msg235842 - (view) Author: 勇刚 罗 (lygstate) * Date: 2015-02-12 15:53
yes python -m pip works for me
but pip.exe doesn't work
2015年2月12日 下午10:55于 "Steve Dower" <report@bugs.python.org>写道:

>
> Steve Dower added the comment:
>
> Do you mean pip.exe? Does running 'python.exe -m pip install ...' work for
> you?
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue21568>
> _______________________________________
>
msg235843 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-12 15:55
In that case, this should be reported to the setuptools project, since they are responsible for creating the pip.exe launcher when pip is installed.
msg235899 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-13 16:12
Already reported at https://github.com/pypa/pip/issues/1889
History
Date User Action Args
2015-02-13 16:12:31steve.dowersetstatus: open -> closed
resolution: third party
messages: + msg235899
2015-02-12 15:55:46steve.dowersetmessages: + msg235843
2015-02-12 15:53:11lygstatesetmessages: + msg235842
2015-02-12 14:55:00steve.dowersetmessages: + msg235832
2015-02-12 14:34:56BreamoreBoysetnosy: + BreamoreBoy, dstufft, tim.golden, zach.ware, steve.dower
messages: + msg235829
components: + Windows
2014-05-30 17:00:51terry.reedysetnosy: + ncoghlan
2014-05-24 02:30:05lygstatecreate